Bug 519171 - Dangling symlink for firefox-debuginfo package
Summary: Dangling symlink for firefox-debuginfo package
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox
Version: 4.8
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Gecko Maintainer
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 13:50 UTC by Jan Horak
Modified: 2012-03-26 13:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-26 13:46:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Horak 2009-08-25 13:50:18 UTC
Description of problem:
rpmdiff needs inspection in dangling symlinks test:

New file usr/src/debug/firefox-3.0.14/mozilla/dist/include/pipnss/nsIPKCS11.h is a dangling symlink (to ../../../security/manager/ssl/public/_xpidlgen/nsIPKCS11.h) on i386 x86_64 ia64 ppc s390 s390x 

https://errata.devel.redhat.com/rpmdiff/show/39611?result_id=430904

Version-Release number of selected component (if applicable):
firefox-3.0.14-1.el4

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jan Kratochvil 2010-04-12 13:25:57 UTC
Firefox probably uses symlinks for the source files.
This is not expected by the old (RHEL-4) /usr/lib/rpm/find-debuginfo.sh script.

RHEL-5 already has the fix as it uses -L for cpio there.

For RHEL-4 it would be probably most easy to fixup
/usr/lib/rpm/find-debuginfo.sh:
-cat $SOURCEFILE | (cd $RPM_BUILD_DIR; LANG=C sort -z -u | cpio -pd0m ${RPM_BUILD_ROOT}/usr/src/debug)
+cat $SOURCEFILE | (cd $RPM_BUILD_DIR; LANG=C sort -z -u | cpio -pd0mL ${RPM_BUILD_ROOT}/usr/src/debug)
but I did not test it.

Comment 3 Jan Horak 2012-03-26 13:46:46 UTC
RHEL4 is eol now, closing as wontfix.


Note You need to log in before you can comment on or make changes to this bug.